GPSDCTL(8)

NAME
gpsdctl - tool for sending commands to gpsd over its control socket

SYNOPSIS

gpdsctl action device

DESCRIPTION

This is a tool for sending an instance of gpsd commands over its control socket to add or remove devices from the daemon's device list. It is not intended to be called by users, but rather by the Linux hotplug system and similar facilities.

The action argument may be "add" or "remove". If no daemon instance is running when an add is requested, this program will launch one.

The "device" argument should be the pathname of a device. A device on the list will be opened to read sensor data whenever a client requests a watch.

Two environment variables are interpreted. GPSD_SOCKET sets the location of the control socket. It defaults to /var/run/gpsd.sock if the effective user ID of this program is root, /tmp/gpsd.sock otherwise.

GPSD_OPTIONS may be a list of options to be passed to gpsd when this tool launches it. It defaults to an empty string.

RETURN VALUES

1 if the action was unknown or the write to the control socket failed, 0 otherwise

SEE ALSO

gpsd(8), gpsctl(1), gps(1), libgps(3), libgpsmm(3), gpsprof(1), gpsfake(1).

AUTHOR

Eric S. Raymond <esr@thyrsus.com>.